//                                               -*- C++ -*-
/**
 *  @file  OTModel.hxx
 *  @brief The external header file of Open TURNS for subdir Model
 *
 *  (C) Copyright 2005-2010 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: dutka $
 *  @date:   $LastChangedDate: 2009-02-11 16:49:59 +0100 (Wed, 11 Feb 2009) $
 *  Id:      $Id: OTModel.hxx 1129 2009-02-11 15:49:59Z dutka $
 */

#ifndef OPENTURNS_OTMODEL_HXX
#define OPENTURNS_OTMODEL_HXX

#include "ArchimedeanCopula.hxx"
#include "CompositeRandomVector.hxx"
#include "ConditionalRandomVector.hxx"
#include "ConstantRandomVector.hxx"
#include "ContinuousDistribution.hxx"
#include "Copula.hxx"
#include "CopulaImplementation.hxx"
#include "DiscreteDistribution.hxx"
#include "Distribution.hxx"
#include "DistributionFactory.hxx"
#include "DistributionImplementation.hxx"
#include "DistributionImplementationFactory.hxx"
#include "EllipticalDistribution.hxx"
#include "Event.hxx"
#include "EventRandomVectorImplementation.hxx"
#include "FunctionalChaosRandomVector.hxx"
#include "NonEllipticalDistribution.hxx"
#include "RandomVector.hxx"
#include "RandomVectorImplementation.hxx"
#include "SklarCopula.hxx"
#include "StandardEvent.hxx"
#include "UsualDistribution.hxx"
#include "UsualRandomVector.hxx"

#endif /* OPENTURNS_OTMODEL_HXX */
