//                                               -*- C++ -*-
/**
 *  @file  OTOrthogonalBasis.hxx
 *  @brief The external header file of Open TURNS for subdir OrthogonalBasis
 *
 *  (C) Copyright 2005-2010 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: dutka $
 *  @date:   $LastChangedDate: 2009-02-11 16:49:59 +0100 (Wed, 11 Feb 2009) $
 *  Id:      $Id: OTOrthogonalBasis.hxx 1129 2009-02-11 15:49:59Z dutka $
 */

#ifndef OPENTURNS_OTORTHOGONALBASIS_HXX
#define OPENTURNS_OTORTHOGONALBASIS_HXX

#include "ChebychevAlgorithm.hxx"
#include "EnumerateFunction.hxx"
#include "GramSchmidtAlgorithm.hxx"
#include "OrthogonalUniVariatePolynomial.hxx"
#include "HermiteFactory.hxx"
#include "JacobiFactory.hxx"
#include "LaguerreFactory.hxx"
#include "LegendreFactory.hxx"
#include "OrthogonalBasis.hxx"
#include "OrthogonalFunctionFactory.hxx"
#include "OrthogonalProductPolynomialFactory.hxx"
#include "OrthogonalUniVariatePolynomialFactory.hxx"
#include "OrthogonalUniVariatePolynomialFamily.hxx"
#include "OrthonormalizationAlgorithm.hxx"
#include "OrthonormalizationAlgorithmImplementation.hxx"
#include "StandardDistributionPolynomialFactory.hxx"

#endif /* OPENTURNS_OTORTHOGONALBASIS_HXX */
