// SWIG file Cobyla.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-05-28 14:47:53 +0200 (jeu. 28 mai 2009) $
// Id : $Id: Cobyla.i 1262 2009-05-28 12:47:53Z dutka $

%{
#include "Cobyla.hxx"
%}

%include Cobyla.hxx

namespace OpenTURNS { namespace Base { namespace Optim {
/*
 * @class CobylaSpecificParameters
 * Specific parameters of the cobyla library
 */
class CobylaSpecificParameters: public
  OpenTURNS::Base::Common::PersistentObject
{
  static const NumericalScalar DEFAULT_RHOBEG;

  CLASSNAME;
public:
  /* Default constructor */
  CobylaSpecificParameters();

  /* Parameters constructor */
  CobylaSpecificParameters(const NumericalScalar rhoBeg);

  /* Copy constructor */
  CobylaSpecificParameters(const CobylaSpecificParameters & other);

  /* Virtual constructor */
  virtual CobylaSpecificParameters * clone() const;

  /* Destructor */
  virtual ~CobylaSpecificParameters();

  /* RhoBeg accessor */
  NumericalScalar getRhoBeg() const;

  /* RhoBeg accessor */
  void setRhoBeg(const NumericalScalar rhoBeg);

  /* String converter */
  String __repr__() const;

}; /* class CobylaSpecificParameters */

}}}
namespace OpenTURNS{ namespace Base { namespace Optim { %extend Cobyla { Cobyla(const Cobyla & other) { return new OpenTURNS::Base::Optim::Cobyla(other); } } }}}
