// SWIG file Description.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-09-29 16:49:59 +0200 (mar. 29 sept. 2009) $
// Id : $Id: Description.i 1350 2009-09-29 14:49:59Z dutka $

%{
#include "PythonWrappingFunctions.hxx"
#include "Description.hxx"
%}

%ignore OpenTURNS::Base::Common::TypedCollectionInterfaceObject<OpenTURNS::Base::Type::DescriptionImplementation>::getDimension() const;

%template(DescriptionImplementationTypedInterfaceObject)           OpenTURNS::Base::Common::TypedInterfaceObject<OpenTURNS::Base::Type::DescriptionImplementation>;
%template(DescriptionImplementationTypedCollectionInterfaceObject) OpenTURNS::Base::Common::TypedCollectionInterfaceObject<OpenTURNS::Base::Type::DescriptionImplementation>;
%include Description.hxx
namespace OpenTURNS{ namespace Base { namespace Type { %extend Description { Description(const Description & other) { return new OpenTURNS::Base::Type::Description(other); } } }}}

namespace OpenTURNS { namespace Base { namespace Type {

%extend Description {

Description(PyObject * pyObj)
{
 OpenTURNS::Base::Common::Pointer<OpenTURNS::Base::Type::Collection<OpenTURNS::String> > p_coll =  OpenTURNS::buildCollectionFromPySequence<OpenTURNS::String>( pyObj );
 return new OpenTURNS::Base::Type::Description( *p_coll );
}

/* Method __len__() is for Python */
OpenTURNS::UnsignedLong __len__() const
{
  return self->getSize();
}

/* Method __contains__() is for Python */
OpenTURNS::Bool __contains__(const OpenTURNS::String & val) const
{
  for (OpenTURNS::UnsignedLong i=0; i<self->getSize(); ++i) if ( (*self)[i] == val ) return true;
  return false;
}
}

}}}
