// SWIG file base_common.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2010-01-25 15:27:33 +0100 (lun. 25 janv. 2010) $
// Id : $Id: base_common.i 1446 2010-01-25 14:27:33Z dutka $

%module(docstring="Base is the determnistic part of Open TURNS.") common
%feature("autodoc","1");

%{
#include "OTCommon.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

/* Base/Common */
%include Memory.i
%include Object.i
%include PersistentObject.i
%include SharedPointer.i
%include Pointer.i
%include InterfaceObject.i
%include TypedInterfaceObject.i
%include TypedCollectionInterfaceObject.i
%include Study.i
%include StorageManager.i
%include XMLStorageManager.i
%include Log.i
%include Path.i
%include ResourceMap.i
%include ComparisonOperatorImplementation.i
%include ComparisonOperator.i
%include Equal.i
%include Greater.i
%include GreaterOrEqual.i
%include Less.i
%include LessOrEqual.i
%include Threadable.i
%include PlatformInfo.i


/* At last we include template definitions */
%include BaseCommonTemplateDefs.i
