// SWIG file base_optim.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-11-09 17:38:15 +0100 (lun. 09 nov. 2009) $
// Id : $Id: base_optim.i 1403 2009-11-09 16:38:15Z dutka $

%module(docstring="Base is the determnistic part of Open TURNS.") optim
%feature("autodoc","1");

%{
#include "OTCommon.hxx"
#include "OTType.hxx"
#include "OTStat.hxx"
#include "OTGraph.hxx"
#include "OTFunc.hxx"
#include "OTDiff.hxx"
#include "OTOptim.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

/* Base/Common */
%import base_common.i

/* Wrapper */
%import base_wrapper.i
%import BaseWrapperTemplateDefs.i

/* Base/Type */
%import base_type.i
%import BaseTypeTemplateDefs.i

/* Base/Stat */
%import base_stat.i
%import BaseStatTemplateDefs.i

/* Base/Func */
%import base_func.i
%import BaseFuncTemplateDefs.i

/* Base/Diff */
%import base_diff.i
%import BaseDiffTemplateDefs.i

/* Base/Optim */
%include BoundConstrainedAlgorithmImplementationResult.i
%include BoundConstrainedAlgorithmImplementation.i
%include BoundConstrainedAlgorithm.i
%include NearestPointAlgorithmImplementation.i
%include NearestPointAlgorithm.i
%include NearestPointChecker.i
%include AbdoRackwitz.i
%include Cobyla.i
%include TNC.i
%include SQP.i
%include PenalizedLeastSquaresAlgorithm.i

/* At last we include template definitions */
%include BaseOptimTemplateDefs.i
