// SWIG file base_solver.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-11-09 17:38:15 +0100 (lun. 09 nov. 2009) $
// Id : $Id: base_solver.i 1403 2009-11-09 16:38:15Z dutka $

%module(docstring="Base is the determnistic part of Open TURNS.") solver
%feature("autodoc","1");

%{
#include "OTCommon.hxx"
#include "OTType.hxx"
#include "OTStat.hxx"
#include "OTGraph.hxx"
#include "OTFunc.hxx"
#include "OTDiff.hxx"
#include "OTOptim.hxx"
#include "OTSolver.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

/* Base/Common */
%import base_common.i

/* Wrapper */
%import base_wrapper.i
%import BaseWrapperTemplateDefs.i

/* Base/Type */
%import base_type.i
%import BaseTypeTemplateDefs.i

/* Base/Stat */
%import base_stat.i
%import BaseStatTemplateDefs.i

/* Base/Func */
%import base_func.i
%import BaseFuncTemplateDefs.i

/* Base/Diff */
%import base_diff.i
%import BaseDiffTemplateDefs.i

/* Base/Optim */
%import base_optim.i
%import BaseOptimTemplateDefs.i

/* Base/Solver */
%include SolverImplementation.i
%include Solver.i
%include Bisection.i
%include Secant.i
%include Brent.i

/* At last we include template definitions */
%include BaseSolverTemplateDefs.i
