// SWIG file base_stat.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2010-01-27 14:00:03 +0100 (mer. 27 janv. 2010) $
// Id : $Id: base_stat.i 1452 2010-01-27 13:00:03Z dutka $

%module(docstring="Base is the deterministic part of Open TURNS.") statistics
%feature("autodoc","1");

%{
#include "OTCommon.hxx"
#include "OTType.hxx"
#include "OTStat.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

/* Base/Common */
%import base_common.i

/* Wrapper */
%import base_wrapper.i
%import BaseWrapperTemplateDefs.i

/* Base/Type */
%import base_type.i
%import BaseTypeTemplateDefs.i

/* Base/Stat */
%include CovarianceMatrix.i
%include CorrelationMatrix.i
%include IdentityMatrix.i
%include NumericalSample.i
%include HistoryStrategyImplementation.i
%include HistoryStrategy.i
%include Compact.i
%include Full.i
%include Last.i
%include Null.i
%include ConfidenceInterval.i
%include LinearModel.i
%include LinearModelFactory.i
%include TestResult.i
%include RandomGenerator.i
%include LowDiscrepancySequenceImplementation.i
%include LowDiscrepancySequence.i
%include SobolSequence.i
%include HaltonSequence.i
%include CorrelationAnalysis.i
%include SensitivityAnalysis.i


/* At last we include template definitions */
%include BaseStatTemplateDefs.i
