// SWIG file base_type.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-12-17 11:07:15 +0100 (jeu. 17 déc. 2009) $
// Id : $Id: base_type.i 1431 2009-12-17 10:07:15Z dutka $

%module(docstring="Base is the determnistic part of Open TURNS.") typ
%feature("autodoc","1");

%{
#include "OTCommon.hxx"
#include "OTType.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

/* Base/Common */
%import base_common.i

/* Wrapper */
%import base_wrapper.i
%import BaseWrapperTemplateDefs.i

/* Base/Type */
%include PersistentCollection.i
%include DescriptionImplementation.i
%include Description.i
%include NumericalPoint.i
%include NumericalPointWithDescription.i
%include Indices.i
%include Interval.i
%include MatrixImplementation.i
%include Matrix.i
%include SquareMatrix.i
%include SymmetricMatrix.i
%include TensorImplementation.i
%include Tensor.i
%include SymmetricTensor.i

/* At last we include template definitions */
%include BaseTypeTemplateDefs.i
