// SWIG file uncertainty_all.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2010-02-04 15:33:07 +0100 (jeu. 04 févr. 2010) $
// Id : $Id: uncertainty_all.i 1471 2010-02-04 14:33:07Z dutka $

%module(docstring="Uncertainty is the probabilistic part of Open TURNS.") uncertainty
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTBase.hxx"
#include "OTUncertainty.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import base_common.i
%include TestResult.i
%import base_all.i

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import uncertainty_model_dist.i
%import UncertaintyModelDistTemplateDefs.i

/* Uncertainty/Algorithm/Experiment */
%import uncertainty_experiment.i
%import UncertaintyExperimentTemplateDefs.i

/* Uncertainty/Algorithm/OrthogonalBasis */
%import uncertainty_orthogonalbasis.i
%import UncertaintyOrthogonalBasisTemplateDefs.i

/* Uncertainty/Algorithm/MetaModel */
%import uncertainty_metamodel.i
%import UncertaintyMetaModelTemplateDefs.i

/* Uncertainty/Algorithm/QuadraticCumul */
%include QuadraticCumul.i

/* Uncertainty/Algorithm/IsoProbabilisticTransformation */
%import uncertainty_isoprobabilistictransformation.i
%import UncertaintyIsoProbabilisticTransformationTemplateDefs.i

/* Uncertainty/Algorithm/Analytical */
%import uncertainty_analytical.i
%import UncertaintyAnalyticalTemplateDefs.i

/* Uncertainty/Algorithm/Simulation */
%import uncertainty_simulation.i
%import UncertaintySimulationTemplateDefs.i

/* Uncertainty/StatTests */
%import uncertainty_stattests.i
%import UncertaintyStatTestsTemplateDefs.i

/* At last we include template definitions */
%include UncertaintyTemplateDefs.i
