// SWIG file uncertainty_analytical.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-11-09 17:38:15 +0100 (lun. 09 nov. 2009) $
// Id : $Id: uncertainty_analytical.i 1403 2009-11-09 16:38:15Z dutka $

%module(docstring="Uncertainty is the probabilistic part of Open TURNS.") analytical
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTDistribution.hxx"
#include "OTIsoProbabilisticTransformation.hxx"
#include "OTAnalytical.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import base_common.i
%include TestResult.i
%import base_all.i

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import uncertainty_model_dist.i
%import UncertaintyModelDistTemplateDefs.i

/* Uncertainty/Algorithm/IsoProbabilisticTransformation */
%import uncertainty_isoprobabilistictransformation.i
%import UncertaintyIsoProbabilisticTransformationTemplateDefs.i

/* Uncertainty/Algorithm/Analytical */
%include AnalyticalResult.i
%include Analytical.i
%include FORMResult.i
%include FORM.i
%include SORMResult.i
%include SORM.i
%include StrongMaximumTest.i

/* At last we include template definitions */
%include UncertaintyAnalyticalTemplateDefs.i
