// SWIG file uncertainty_experiment.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-11-09 17:38:15 +0100 (lun. 09 nov. 2009) $
// Id : $Id: uncertainty_experiment.i 1403 2009-11-09 16:38:15Z dutka $

%module(docstring="Uncertainty is the probabilistic part of Open TURNS.") experiment
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTExperiments.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import base_common.i
%include TestResult.i
%import base_all.i

/* Uncertainty/Algorithm/Experiment */
%include ExperimentImplementation.i
%include StratifiedExperiment.i
%include WeightedExperiment.i
%include Experiment.i
%include Axial.i
%include Composite.i
%include Factorial.i
%include Box.i
%include FixedExperiment.i
%include BootstrapExperiment.i
%include MonteCarloExperiment.i
%include LHSExperiment.i
%include LowDiscrepancyExperiment.i
%include ImportanceSamplingExperiment.i

/* At last we include template definitions */
%include UncertaintyExperimentTemplateDefs.i
