// SWIG file uncertainty_metamodel.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2010-01-27 14:00:03 +0100 (mer. 27 janv. 2010) $
// Id : $Id: uncertainty_metamodel.i 1452 2010-01-27 13:00:03Z dutka $

%module(docstring="Uncertainty is the probabilistic part of Open TURNS.") metamodel
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTDistribution.hxx"
#include "OTExperiments.hxx"
#include "OTOrthogonalBasis.hxx"
#include "OTMetaModel.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import base_common.i
%include TestResult.i
%import base_all.i

/* Uncertainty/Model */
/* Uncertainty/Distribution */
%import uncertainty_model_dist.i
%import UncertaintyModelDistTemplateDefs.i

/* Uncertainty/Algorithm/Experiment */
%import uncertainty_experiment.i
%import UncertaintyExperimentTemplateDefs.i

/* Uncertainty/Algorithm/OrthogonalBasis */
%import uncertainty_orthogonalbasis.i
%import UncertaintyOrthogonalBasisTemplateDefs.i

/* Uncertainty/Algorithm/Metamodel */
%include LinearTaylor.i
%include QuadraticTaylor.i
%include LinearLeastSquares.i
%include QuadraticLeastSquares.i
%include AdaptiveStrategyImplementation.i
%include FixedStrategy.i
%include SequentialStrategy.i
%include CleaningStrategy.i
%include AdaptiveStrategy.i
%include ProjectionStrategyImplementation.i
%include LeastSquaresStrategy.i
%include IntegrationStrategy.i
%include ProjectionStrategy.i
%include FunctionalChaosResult.i
%include FunctionalChaosAlgorithm.i
%include FunctionalChaosRandomVector.i
%include SVMKernelImplementation.i
%include SVMKernel.i
%include NormalRBF.i
%include ExponentialRBF.i
%include PolynomialKernel.i
%include RationalKernel.i
%include SVMKernelRegressionEvaluation.i
%include SVMKernelRegressionGradient.i
%include SVMKernelRegressionHessian.i
%include MetaModelAlgorithm.i

/* At last we include template definitions */
%include UncertaintyMetaModelTemplateDefs.i
