// SWIG file uncertainty_model_dist.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-11-09 17:38:15 +0100 (lun. 09 nov. 2009) $
// Id : $Id: uncertainty_model_dist.i 1403 2009-11-09 16:38:15Z dutka $

%module(docstring="Uncertainty is the probabilistic part of Open TURNS.") model_dist
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTDistribution.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import base_common.i
%include TestResult.i
%import base_all.i

/* Uncertainty/Model */
%include DistributionImplementation.i
%include DistributionImplementationFactory.i
%include Distribution.i
%include DistributionFactory.i
%include UsualDistribution.i
%include ContinuousDistribution.i
%include EllipticalDistribution.i
%include NonEllipticalDistribution.i
%include DiscreteDistribution.i
%include CopulaImplementation.i
%include Copula.i
%include ArchimedeanCopula.i
%include SklarCopula.i

/* Uncertainty/Distribution */
%include SpecFunc.i
%include DistFunc.i
%include Beta.i
%include BetaFactory.i
%include ChiSquare.i
%include ChiSquareFactory.i
%include Epanechnikov.i
%include Exponential.i
%include ExponentialFactory.i
%include Gamma.i
%include GammaFactory.i
%include Geometric.i
%include GeometricFactory.i
%include Gumbel.i
%include GumbelFactory.i
%include Histogram.i
%include HistogramFactory.i
%include Laplace.i
%include LaplaceFactory.i
%include LogNormal.i
%include LogNormalFactory.i
%include Logistic.i
%include LogisticFactory.i
%include MultiNomial.i
%include MultiNomialFactory.i
%include NonCentralStudent.i
%include Normal.i
%include NormalFactory.i
%include Poisson.i
%include PoissonFactory.i
%include Rayleigh.i
%include RayleighFactory.i
%include Student.i
%include StudentFactory.i
%include Triangular.i
%include TriangularFactory.i
%include TruncatedDistribution.i
%include TruncatedNormal.i
%include TruncatedNormalFactory.i
%include Uniform.i
%include UniformFactory.i
%include UserDefined.i
%include UserDefinedFactory.i
%include Weibull.i
%include WeibullFactory.i
%include IndependentCopula.i
%include NormalCopula.i
%include NormalCopulaFactory.i
%include FrankCopula.i
%include FrankCopulaFactory.i
%include ClaytonCopula.i
%include ClaytonCopulaFactory.i
%include GumbelCopula.i
%include GumbelCopulaFactory.i
%include ComposedDistribution.i
%include ComposedCopula.i
%include RandomMixture.i
%include Mixture.i
%include KernelMixture.i
%include KernelSmoothing.i

/* Uncertainty/Model */
%include RandomVectorImplementation.i
%include ConstantRandomVector.i
%include UsualRandomVector.i
%include RandomVector.i
%include CompositeRandomVector.i
%include EventRandomVectorImplementation.i
%include ConditionalRandomVector.i
%include Event.i
%include StandardEvent.i

/* At last we include template definitions */
%include UncertaintyModelDistTemplateDefs.i
