// SWIG file uncertainty_orthogonalbasis.i
// Author : $LastChangedBy: dutka $
// Date : $LastChangedDate: 2009-11-09 17:38:15 +0100 (lun. 09 nov. 2009) $
// Id : $Id: uncertainty_orthogonalbasis.i 1403 2009-11-09 16:38:15Z dutka $

%module(docstring="Uncertainty is the probabilistic part of Open TURNS.") orthogonalbasis
#pragma SWIG nowarn=302,509
%feature("autodoc","1");

%{
#include "OTBase.hxx"
#include "OTModel.hxx"
#include "OTOrthogonalBasis.hxx"
%}

%include typemaps.i
%include OTtypes.i
%include OTexceptions.i
%include std_vector.i

%import base_common.i
%include TestResult.i
%import base_all.i

/* Uncertainty/Algorithm/OrthogonalBasis */
%include EnumerateFunction.i
%include OrthogonalUniVariatePolynomial.i
%include OrthogonalUniVariatePolynomialFactory.i
%include HermiteFactory.i
%include JacobiFactory.i
%include LaguerreFactory.i
%include LegendreFactory.i
%include OrthogonalUniVariatePolynomialFamily.i
%include OrthonormalizationAlgorithmImplementation.i
%include OrthonormalizationAlgorithm.i
%include ChebychevAlgorithm.i
%include GramSchmidtAlgorithm.i
%include StandardDistributionPolynomialFactory.i
%include OrthogonalFunctionFactory.i
%include OrthogonalProductPolynomialFactory.i
%include OrthogonalBasis.i

/* At last we include template definitions */
%include UncertaintyOrthogonalBasisTemplateDefs.i
